package com.loafle.overflow.module.member.service;

import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.module.member.model.MemberTotp;
import com.loafle.overflow.spring.AppConfigTest;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import static org.junit.Assert.*;

/**
 * Created by geek on 18. 3. 9.
 */
@Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ActiveProfiles("test")
@ContextConfiguration(classes = {AppConfigTest.class})
public class MemberTotpServiceTest {

    @Autowired
    private MemberTotpService totpService;

    @Test
    public void regist() throws Exception {
    }

    @Test
    public void modify() throws Exception {
    }

    @Test
    public void remove() throws Exception {
    }

    @Test
    public void read() throws Exception {
    }

    @Test
    public void checkCode() throws Exception {
        MemberTotp totp = new MemberTotp();
        totp.setSecretCode("PN44SRPS5QCGCJNS");

        boolean isCheck = this.totpService.checkCode(totp, "125073");

        System.out.println(isCheck);

    }

    @Test
    public void createTotp() throws Exception {

        Member m = new Member(2);
        m.setEmail("geekdev@naver.com");
        MemberTotp totp = this.totpService.createTotp(m);

        System.out.println(totp.getSecretCode());
        System.out.println(totp.getOtpAuth());
    }

}